#!/bin/bash

set -x -e


# If it has Build.PL use that, otherwise use Makefile.PL
if [ -f Build.PL ]; then
    perl Build.PL
    perl ./Build
    perl ./Build test
    perl ./Build install --installdirs site
elif [ -f Makefile.PL ]; then
    # Make sure this goes in site
    perl Makefile.PL INSTALLDIRS=site
    make
    make test
    make install
else
    echo 'Unable to find Build.PL or Makefile.PL. You need to modify build.sh.'
    exit 1
fi

sed -i.bak 's/perl -w/perl/' `which exiftool`
rm ${PREFIX}/bin/exiftool.bak
chmod 777 ${PREFIX}/bin/exiftool
